Subject: Re: [PATCH 2/6] arm64: dts: ls104xardb: set correct PHY interface mode

From: Andrew Lunn <[email-masked]>
Date: Thu, 19 Dec 2019 17:05:37 +0100

On Thu, Dec 19, 2019 at 05:21:17PM +0200, Madalin Bucur wrote:
> From: Madalin Bucur <[email-masked]>
> 
> The DPAA 1 based LS1043ARDB and LS1046ARDB boards are using
> XFI for the 10G interfaces. Since at the moment of the addition
> of the first DPAA platforms the only 10G PHY interface type used
> was XGMII, although the boards were actually using XFI, they were
> wrongly declared as xgmii. This has propagated along the DPAA
> family of SoCs, all 10G interfaces being declared wrongly as
> XGMII. This patch addresses the problem for the ARM based DPAA
> SoCs. After the introduction of XFI PHY interface type we can
> address this issue.

Hi Madalin

This patch should come at the end, after you have added support for
these new modes. Otherwise anybody doing a git bisect could land on
code which has broken ethernet.

     Andrew